from abc import ABC, abstractmethod

import discord


class ModuleServiceABC(ABC):

    @abstractmethod
    def __init__(self): pass

    @abstractmethod
    async def on_ready(self): pass
    
    @abstractmethod
    async def on_message(self, message: discord.Message): pass
